Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.ivyservice.moduleconverter
Class DefaultModuleDescriptorConverter

    java.lang.Object
      org.gradle.api.internal.artifacts.ivyservice.moduleconverter.DefaultModuleDescriptorConverter

All Implemented Interfaces:
  ModuleDescriptorConverter

    class DefaultModuleDescriptorConverter
    extends java.lang.Object

author:
  Hans Dockter

Constructor Summary
`DefaultModuleDescriptorConverter()`

Method Summary
`void` | `addIvyTransformer(Transformer transformer)`
`void` | `addIvyTransformer(Closure tranformer)`
`ModuleDescriptor` | `convertForPublish(Set configurations, boolean publishDescriptor, Module module, IvySettings settings)`
`ModuleDescriptor` | `convertForResolve(Configuration configuration, Module module, Map clientModuleRegistry, IvySettings settings)`
`ArtifactsToModuleDescriptorConverter` | `getArtifactsToModuleDescriptorConverter()`
`ConfigurationsToModuleDescriptorConverter` | `getConfigurationsToModuleDescriptorConverter()`
`DependenciesToModuleDescriptorConverter` | `getDependenciesToModuleDescriptorConverter()`
`ModuleDescriptorFactory` | `getModuleDescriptorFactory()`
`void` | `setArtifactsToModuleDescriptorConverter(ArtifactsToModuleDescriptorConverter artifactsToModuleDescriptorConverter)`
`void` | `setConfigurationsToModuleDescriptorConverter(ConfigurationsToModuleDescriptorConverter configurationsToModuleDescriptorConverter)`
`void` | `setDependenciesToModuleDescriptorConverter(DependenciesToModuleDescriptorConverter dependenciesToModuleDescriptorConverter)`
`void` | `setModuleDescriptorFactory(ModuleDescriptorFactory moduleDescriptorFactory)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultModuleDescriptorConverter

    DefaultModuleDescriptorConverter()

Method Detail

### addIvyTransformer

    public void addIvyTransformer(Transformer transformer)

### addIvyTransformer

    public void addIvyTransformer(Closure tranformer)

### convertForPublish

    public ModuleDescriptor convertForPublish(Set configurations, boolean publishDescriptor, Module module, IvySettings settings)

### convertForResolve

    public ModuleDescriptor convertForResolve(Configuration configuration, Module module, Map clientModuleRegistry, IvySettings settings)

### getArtifactsToModuleDescriptorConverter

    public ArtifactsToModuleDescriptorConverter getArtifactsToModuleDescriptorConverter()

### getConfigurationsToModuleDescriptorConverter

    public ConfigurationsToModuleDescriptorConverter getConfigurationsToModuleDescriptorConverter()

### getDependenciesToModuleDescriptorConverter

    public DependenciesToModuleDescriptorConverter getDependenciesToModuleDescriptorConverter()

### getModuleDescriptorFactory

    public ModuleDescriptorFactory getModuleDescriptorFactory()

### setArtifactsToModuleDescriptorConverter

    public void setArtifactsToModuleDescriptorConverter(ArtifactsToModuleDescriptorConverter artifactsToModuleDescriptorConverter)

### setConfigurationsToModuleDescriptorConverter

    public void setConfigurationsToModuleDescriptorConverter(ConfigurationsToModuleDescriptorConverter configurationsToModuleDescriptorConverter)

### setDependenciesToModuleDescriptorConverter

    public void setDependenciesToModuleDescriptorConverter(DependenciesToModuleDescriptorConverter dependenciesToModuleDescriptorConverter)

### setModuleDescriptorFactory

    public void setModuleDescriptorFactory(ModuleDescriptorFactory moduleDescriptorFactory)

Groovy Documentation